Subject: WANTED: plants or seeds of Rosa stellata and H. persica

From: [email-masked] (Jeffrey A. Del Col)
Date: 26 Mar 1995 19:55:43 GMT

I am interested in following up a suggestion by the late Jack Harkness
 that somebody ought to try hybridizing Rosa stellata and its
variety R. stellata mirifica.  

However, my ambition has been stymied by the fact that the only
listed commercial source is sold out.

Does anyone have plants cuttings or seeds of these rose species that
he or she would be willing to sell or trade?  Do you know anyone
who might have them?

Harkness also suggested that this rose be crossed with Hulthemia persica.

Finding that one has also proven impossible so far.  Anyone have seeds
of H. persica?

J. Del Col
-- 
Jeff Del Col   * "Sleeplessness is like metaphysics.
A-B College    *  Be there."
Philippi, WV   * 
               * ----Charles Simic----